Bug 153005 - When doing a Region Snapshot KSnapshot doesn't hide itself like it should (and did previously)
Summary: When doing a Region Snapshot KSnapshot doesn't hide itself like it should (an...
Status: RESOLVED FIXED
Alias: None
Product: ksnapshot
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Richard Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-27 18:38 UTC by Ben Kevan
Modified: 2008-01-17 21:59 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Kevan 2007-11-27 18:38:59 UTC
Version:           3.96.1 (using KDE KDE 3.96.0)
Installed from:    SuSE RPMs
OS:                Linux

When you do a Region Snapshot using KSnapshot version 3.96.1 the dialog box doesn't hide itself. Making it inconvenient to have the silly box in the way. 

It should hide like it did previously.
Comment 1 FiNeX 2007-12-06 14:08:19 UTC
Revision 745527, it works correctly.
Comment 2 Ben Kevan 2008-01-03 17:39:12 UTC
I am still having this behavior  in the newst build. Now KSnapshot just turns into a white screen though. 
Comment 3 Urs Wolfer 2008-01-15 20:47:10 UTC
SVN commit 761965 by uwolfer:

When desktop effects are enabled, the KSnapshot window needs more time to be completely hidden.
BUG: 153005

 M  +5 -12     regiongrabber.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=761965
Comment 4 Tony Wolf 2008-01-17 21:59:13 UTC
I got the same problem with 4.0.0!

But only with thunderbird and firefox.

Here are some screenshots:
http://www.os-forge.eu/kde4-bugs/ksnapshot_doesnt_hide_while_area_selection.png
and
http://www.os-forge.eu/kde4-bugs/ksnapshot_doesnt_hide_while_area_selection1.png

maybe that's the same problem as with #137600

Best regards

Tony